#
# Conditional build:
%bcond_with	tests	# perform "make test" (3 tests fail)

%define 	module	feedparser
Summary:	Parse RSS and Atom feeds in Python
Summary(pl.UTF-8):	Biblioteka Feed Parser dla Pythona
Name:		python-%{module}
Version:	5.1.3
Release:	1
License:	BSD
Group:		Libraries/Python
Source0:	http://feedparser.googlecode.com/files/feedparser-%{version}.tar.bz2
# Source0-md5:	6fb6372a1dc2f56d4d79d740b8f49f25
URL:		http://feedparser.org/
BuildRequires:	python-devel >= 1:2.3.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Universal Feed Parser is a Python module for downloading and parsing
syndicated feeds. It can handle RSS 0.90, Netscape RSS 0.91, Userland
RSS 0.91, RSS 0.92, RSS 0.93, RSS 0.94, RSS 1.0, RSS 2.0, Atom 0.3,
Atom 1.0, and CDF feeds. It also parses several popular extension
modules, including Dublin Core and Apple's iTunes extensions.

%description -l pl.UTF-8
Ten pakiet umożliwia analizę źródeł RSS i Atom w Pythonie.

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%if %{with tests}
cd %{module}
PYTHONPATH=build %{__python} feedparsertest.py
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS README
%{py_sitescriptdir}/feedparser.py[co]
%{py_sitescriptdir}/feedparser-*.egg-info
%changelog
* Mon Jan 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-feedparser.git;a=log;h=master

* Mon Jan 28 2013 Elan Ruusamäe <glen@delfi.ee> 46275c1
up to 5.1.3

* Thu Jan 24 2013 Elan Ruusamäe <glen@delfi.ee> 0e08988
- rebuild for fixed python eggs
- release 2 (by relup.sh)

* Wed Jan 23 2013 Elan Ruusamäe <glen@delfi.ee> c2a9474
enchanced desc, license BSD

* Wed Jan 23 2013 Elan Ruusamäe <glen@delfi.ee> 39d5e95
package more docs

* Wed Jan 23 2013 Elan Ruusamäe <glen@delfi.ee> 27e28ee
up to 5.1.2; add testing (disabled as 3 fail)

* Fri Dec 03 2010 Jakub Bogusz <qboosh@pld-linux.org> e3fb7fe
- use py_postclean macro, more verbose files

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> d55a495
- release 5

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 569f361
- release 4

* Sun May 16 2010 sparky <sparky@pld-linux.org> f103c63
- BR: unzip

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f309301
- release 3

* Mon Apr 14 2008 Jakub Bogusz <qboosh@pld-linux.org> 0aeb509
- pl fix
- use __python macro
- BR pythonprov

* Tue Nov 27 2007 Patryk Zawadzki <patrys@room-303.com> 142bdb8
- rel 2
- rebuild

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0021bc8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d0ba5ba
- converted to UTF-8

* Mon May 15 2006 Michal Chruszcz <mchruszcz@gmail.com> c88bb16
- updated to 4.1

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 675fb26
- mass commit: remove obsolete BR: rpm-pythonprov

* Thu Feb 03 2005 Mariusz Mazur <mmazur@pld-linux.org> cb02266
- arch: noarch

* Thu Feb 03 2005 Mariusz Mazur <mmazur@pld-linux.org> b3def30
- initial; needed by pyrss

